
-- Trunco edw_desa_swf.f_tr_datos_detallada_reinyect
truncate table edw_desa_swf.f_tr_actuacion_detallada_reinyect;

-- Insert en la particion por Fecha de Evento, sin criterio de reinyectable en el WHERE Clause
insert overwrite table edw_desa_swf.f_tr_actuacion_detallada partition(fecha=${CURRENT_DATE_N})
select 
ani_cd,
inicio_sesion_datos_fh,
plan_tarifario_cd,
tipo_servicio_datos_cd,
duracion_sesion_datos_mo,
cantidad_enviada_bytes_mo,
cantidad_recibida_bytes_mo,
indicador_roaming_cd,
importe_cobrado_mo,
importe_costo_inicial_mo,
importe_costo_abono_mo,
importe_costo_recarga_mo,
importe_costo_promocion_mo,
importe_costo_bolsa5_mo,
importe_costo_bolsa6_mo,
importe_no_cargado_mo,
impuesto_iva_mo,
operadora_cd,
tecnologia_acceso_red_cd,
clase_tarifa_cd,
identificador_archivo_cd,
tipo_destino_cd,
tipo_evento_cd,
valor_eventprom_mo,
imei_nr,
identificador_sesion_cd,
deuda_mo,
identificador_celda_cd,
codigo_identificador_cd,
nombre_archivo_de,
roaming_f,
anio_mes_nr,
flag_movil_fl,
ambito_registro_id,
clase_descuento_aplicado_id,
clase_tarifa_id,
detalle_servicio_trafico_id,
estado_valorizacion_id,
ambito_red_id,
franja_horaria_id,
sentido_trafico_id,
-3 elemento_red_origen_id, --no tenemos esta dimensión todavía...
moneda_id,
plataforma_id,
acumulador_id as acumulador_promo_trafico_id, --en la dimensión se llama acumulador_id...
rango_duracion_llamada_id,
sistema_origen_id as sistema_fuente_id, --de donde sacamos esto?
tecnologia_acceso_id,
tramo_tarifario_id,
fecha_id as fecha_inicio_sesion_id, --en la dimensión se llama fecha_id...
hora_id as hora_inicio_sesion_id, --en la dimensión se llama hora_id...
suscripcion_id,
suscripcion_cd,
urbano_cd,
interurbano_cd,
linea_cd,
tipo_oferta_id,
tipo_oferta_de,
catalogo_producto_id,
catalogo_producto_cd,
catalogo_producto_de,
geografia_cnc_id,
geografia_cnc_cd,
sub_alm_cd,
alm_cd,
sub_region_cnc_id, 
sub_region_cnc_de, 
region_cnc_id,
region_cnc_de,
flag_prepago_express_id,
operadora_propietaria_id,
operadora_propietaria_cd,
operadora_propietaria_de,
operadora_receptora_id,
operadora_receptora_cd,
operadora_receptora_de,
operadora_donante_id,
operadora_donante_cd,
operadora_donante_de,
flag_volte_id,
flag_volte_cd,
flag_volte_de,
equipo_tecnologia_id,
equipo_tecnologia_cd,
equipo_tecnologia_de,
equipo_utilizado_tecnologia_id,
equipo_utilizado_tecnologia_cd,
equipo_utilizado_tecnologia_de,
catalogo_equipo_id,
catalogo_equipo_cd,
catalogo_equipo_de,
estado_suscripcion_id,
estado_suscripcion_cd,
estado_suscripcion_de,
fecha_estado_suscripcion_id,
cliente_id,
cliente_cd,
sub_tipo_cliente_id,
sub_tipo_cliente_cd,
sub_tipo_cliente_de,
tipo_cliente_id,
tipo_cliente_cd,
tipo_cliente_de,
ciclo_facturacion_id,
ciclo_facturacion_cd,
ciclo_facturacion_de,
score_economico_id,
score_economico_cd,
score_economico_de,
operadora_larga_distancia_id,
operadora_larga_distancia_cd,
operadora_larga_distancia_de
from edw_desa_swf.f_tr_actuacion_detallada_final;